net.sourceforge.pmd.lang.java.symboltable

## Interface NameDeclaration

All Known Implementing Classes:
  AbstractNameDeclaration, ClassNameDeclaration, MethodNameDeclaration, VariableNameDeclaration

    public interface NameDeclaration

### Method Summary

Methods
`String` `getImage()`
`JavaNode` `getNode()`
`Scope` `getScope()`

### Method Detail

#### getNode

    JavaNode getNode()

#### getImage

    String getImage()

#### getScope

    Scope getScope()